package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class MakananBayi
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "MakananBayi_M")
public class MakananBayiVO extends BaseMasterVO {
	@Caption(value="Kode Makanan Bayi")
	private Byte kdMakananBayi;

	public void setKdMakananBayi(Byte kdMakananBayi) {
		this.kdMakananBayi = kdMakananBayi;
	}

	@Column(name = "KdMakananBayi", nullable = false )
	public Byte getKdMakananBayi(){
		return this.kdMakananBayi;
	}

	@Caption(value="Makanan Bayi")
	private String makananBayi;

	public void setMakananBayi(String makananBayi) {
		this.makananBayi = makananBayi;
	}

	@Column(name = "MakananBayi", nullable = false , length = 30)
	public String getMakananBayi(){
		return this.makananBayi;
	}

	@Caption(value="QMakanan Bayi")
	private Byte qMakananBayi;

	public void setqMakananBayi(Byte qMakananBayi) {
		this.qMakananBayi = qMakananBayi;
	}

	@Column(name = "QMakananBayi", nullable = false )
	public Byte getqMakananBayi(){
		return this.qMakananBayi;
	}


}

